package com.friday.custody.service.logicService;

import com.friday.custody.utils.R;
import com.friday.custody.req.QueryDataReq;

import java.util.List;

public interface DataProcessService<T> {

    /**
     * 保存数据
     * @param type
     * @param datas
     * @return
     */
    R saveData(String type, List<T> datas);


    R queryData(QueryDataReq vo);

    /**
     * 更新数据
     * @param type
     * @param datas
     * @return
     */
    R updateData(String type, List<T> datas);
}
